libzypp 17.37.10

sigc::visitor< zyppng::internal::lock_shared< T_functor, Lockers... > > Struct Template Reference

`#include <zypp-core/zyppng/base/signals.h>`

## Static Public Member Functions
template<typename T_action>
static void | do_visit_each (const T_action &action, const zyppng::internal::lock_shared< T_functor, Lockers... > &target)

## Detailed Description

template<typename T_functor, typename ... Lockers>
struct sigc::visitor< zyppng::internal::lock_shared< T_functor, Lockers... > >

Definition at line 361 of file signals.h.

## Member Function Documentation

## ◆ do_visit_each()

template<typename T_functor, typename ... Lockers>
template<typename T_action>

void sigc::visitor< zyppng::internal::lock_shared< T_functor, Lockers... > >::do_visit_each | ( | const T_action & | action,
|  | const zyppng::internal::lock_shared< T_functor, Lockers... > & | target )
| inline static

Definition at line 364 of file signals.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/signals.h